function y = meannan(x, varargin)
% Calculate mean, except excluding these NaN or Inf values.
%  

nandx=isnan(x); x(nandx)=0;
infdx=isinf(x); x(infdx)=0;
removedx= nandx + infdx;
y=sum(x,varargin{:})./sum(~removedx,varargin{:});




