function hleg = attach_legend(labelNames, labelMarkers, fontsize, varargin)
%function attach_legend(labelNames, labelMarkers, fontsize, varargin)
% generate a legend with given labelNames and labelMarkers 

if nargin <= 2, fontsize = 15; end;

% replace "_" by "-"
for i = 1:length(labelNames), labelNames{i}(labelNames{i}=='_') = '-';end


hetao = varargin;
%f = figure; 
%subplot(100, 100, 5000);
hold on;
h = zeros(size(labelNames));
for i = 1:length(h)
    h(i) = plot(0, labelMarkers{i}{:}, hetao{:});
end
hleg = legend(h, labelNames); % 'fontsize', 12);
for i = 1:length(h)
    set(h(i), 'visible', 'off');
end
set(hleg, 'fontsize', fontsize);  
%my_save_figure('mixhiddenchain_legend');
