function siz = dims2size(dims)
%  dims = []     ==> siz = 0; 
%  dims = a      ==> siz = [1,a];
%  dims = [...]  ==> siz = dims;
%  Usage: rand(dims2size(dims)) generate a random matrix with dimensions of
%  dims 
%
% Qiang Liu Nov. 2011


nims = numel(dims);
if nims == 0
    siz = 0;
elseif nims == 1
    siz = [1, dims];
else
    siz = dims;
end