function y = meanfiltered(x, filterfunc, varargin)
% Calculate mean, except excluding the elements that returns 1 for filterfunc.
% Example: average on nonzero elements: meanfiltered(x, @(x)(x==0), 2);
% 

nandx=filterfunc(x); x(nandx)=0;
y=sum(x,varargin{:})./sum(~nandx,varargin{:});




