function  cmap = mycolormap(varargin)
%
%
%
% Qiang Liu


if nargin < 1
    
    
   cmap=[      0         0    1.0000
         0    0.5000         0
    1.0000         0         0
         0    0.7500    0.7500
    0.7500         0    0.7500
         0         0         0
    0.3770    0.2356    0.1500
    0.6920    0.4484    0.4484
    0.2639    0.2639    0.3681
    0.3016    0.3016    0.3016
    1.0000    0.3016    0.6984
    0.3016    0.6508    0.4000
    1.0000    0.3016         0
         0    0.3016    0.8492
    0.5000         0    1.0000
    1.0000         0    0.7500
    0.3686    0.3098    0.6353
    0.1974    0.5129    0.7403
    0.3539    0.7295    0.6562
    0.5978    0.8408    0.6445
    0.8417    0.9409    0.6096
    0.9319    0.9572    0.6617
    0.9763    0.9284    0.6583
    0.9955    0.8227    0.4828
    0.9877    0.6154    0.3391
    0.9438    0.3910    0.2668
    0.8206    0.2239    0.3094
    0.6196    0.0039    0.2588];    
    
%    tmp1 = colormap('lines');
%    cmap(1:5,:) = tmp1(1:5,:);

%    tmp2 = colormap('copper');
%    cmap(6,:) = tmp2(1,:);
%    cmap(7,:) = tmp2(20,:);

%    tmp2 = colormap('pink');
%    cmap(8,:) = tmp2(20,:);

%    tmp2 = colormap('bone');
%    cmap(9,:) = tmp2(20,:);

%    tmp2 = colormap('gray');
%    cmap(10,:) = tmp2(20,:);

%    tmp2 = colormap('spring');
%    cmap(11,:) = tmp2(20,:);

%    tmp2 = colormap('summer');
%    cmap(12,:) = tmp2(20,:);

%    tmp2 = colormap('autumn');
%    cmap(13,:) = tmp2(20,:);

%    tmp2 = colormap('winter');
%    cmap(14,:) = tmp2(20,:);
    
%    tmp2 = colormap('hsv');dx = [ 49, 57];%[1:8:64];
%    cmap(15:14+length(dx),:) = tmp2(dx,:);
        
%    cmap(end+1:end+12,:) = [0.3686    0.3098    0.6353
%    0.1974    0.5129    0.7403
%    0.3539    0.7295    0.6562
%    0.5978    0.8408    0.6445
%    0.8417    0.9409    0.6096
%    0.9319    0.9572    0.6617
%    0.9763    0.9284    0.6583
%    0.9955    0.8227    0.4828
%    0.9877    0.6154    0.3391
%    0.9438    0.3910    0.2668
%    0.8206    0.2239    0.3094
%    0.6196    0.0039    0.2588];
    
else % if there is input ...
    if isa(varargin{1}, 'char')
        if strmatch(lower(varargin{1}), 'alex')
            cmap = [
                          0.00  0.50  0.00
                          0.00  0.75  0.75
                          0.75  0.00  0.75
                          0.75  0.75  0.00
                          0.75  0.25  0.25
                          0.25  0.25  0.75
                          0.75  0.75  0.75
                          0.76  0.57  0.17
                          0.54  0.63  0.22
                          0.34  0.57  0.92
                          1.00  0.10  0.60
                          0.88  0.75  0.73
                          0.10  0.49  0.47
                          0.66  0.34  0.65
                          0.99  0.41  0.23
                        ];
        else
        cmap = colormap(varargin{1});
        end
    elseif isa(varargin{1}, 'numeric')
        %cmap = varargin{1};
        cmap=mycolormap;
        cmap=cmap(varargin{1},:);
    else
        error('wrong input');
    end
end

%dd = cmap*randn(3,1);
%[junk, dx] = unique(dd);
%cmap = cmap(dx,:);

if (nargout <1)

    figure; hold on;
    for i = 1:size(cmap,1)
        xx = [i-.5, i-.5, i+.5, i+.5]; 
        yy = .3*[0, 1, 1, 0];
        fill(xx,yy,  cmap(i,:));
        %plot([i-.5, i+.5], [0,0], '-', 'color', cmap(i,:), 'linewidth', 100);        
    end
    set(gca, 'xtick', 0:size(cmap,1));
    xlim([.5, size(cmap,1)+.5]);ylim([0,.3]);
end

return;
end









